Bug 915586 - (CVE-2013-0335) CVE-2013-0335 OpenStack nova: VNC proxy can connect to the wrong VM
CVE-2013-0335 OpenStack nova: VNC proxy can connect to the wrong VM
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130226,repor...
: Security
Depends On: 915588 915589
Blocks: 921759
  Show dependency treegraph
 
Reported: 2013-02-26 02:28 EST by Kurt Seifried
Modified: 2016-04-26 14:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 16:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
openstack-folsom-CVE-2013-0335.patch (23.67 KB, patch)
2013-02-26 02:38 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-02-26 02:28:20 EST
Russell Bryant (rbryant@redhat.com) reports:

Title: VNC proxy can connect to the wrong VM
CVE: CVE-2013-0335
Reporter: Loganathan Parthipan (HP), Rohit Karajgi (NTT Data)
Products: Nova
Affects: All versions

Description:
Loganathan Parthipan (HP) and Rohit Karajgi (NTT Data) independently
reported a vulnerability in Nova. If a user requests a console and
then deletes the VM, it is possible that the console token could allow
connectivity to a different VM before the console token expires if the
VNC port gets reused in that time period. This issue can be worked
around by disabling VNC support.

External references:
master (grizzly): https://review.openstack.org/#/c/22086/
stable/folsom: https://review.openstack.org/#/c/22758/
stable/essex: https://review.openstack.org/#/c/22872/
Comment 3 Kurt Seifried 2013-02-26 02:38:04 EST
Created attachment 702653 [details]
openstack-folsom-CVE-2013-0335.patch
Comment 5 Murray McAllister 2013-03-26 23:31:30 EDT
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Loganathan Parthipan (HP) and Rohit Karajgi (NTT Data) as the original, independent reporters.
Comment 6 errata-xmlrpc 2013-04-04 16:21:31 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0709 https://rhn.redhat.com/errata/RHSA-2013-0709.html

Note You need to log in before you can comment on or make changes to this bug.